# Module core::char 1.2.0 [−] [src]

Character manipulation.

For more details, see ::std_unicode::char (a.k.a. std::char)

## Structs

EscapeDefault | An iterator that yields the literal escape code of a `char`.
EscapeUnicode | Returns an iterator that yields the hexadecimal Unicode escape of a character, as `char`s.
ParseCharError | An error which can be returned when parsing a char.
CharTryFromError | [ Experimental ] The error type returned when a conversion from u32 to char fails.
DecodeUtf8 | [ Experimental ] An iterator over an iterator of bytes of the characters the bytes represent as UTF-8
EscapeDebug | [ Experimental ] An iterator that yields the literal escape code of a `char`.
InvalidSequence | [ Experimental ] `<DecodeUtf8 as Iterator>::next` returns this for an invalid input sequence.

## Constants

MAX | The highest valid code point a `char` can have.

## Functions

from_digit | Converts a digit in the given radix to a `char`.
from_u32 | Converts a `u32` to a `char`.
from_u32_unchecked⚠ | Converts a `u32` to a `char`, ignoring validity.
decode_utf8 | [ Experimental ] Decodes an `Iterator` of bytes as UTF-8.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)